# Remove Endpoints

> Remove one or more endpoints from a URL Group

## Endpoint

`DELETE https://qstash-{region}.upstash.io/v2/topics/{urlGroupName}/endpoints`

## Parameters

- `urlGroupName` (path, string, required): The name of your URL Group.

## Request body

- `endpoints` (object[], required): Then list of endpoints to remove from URL Group. Either name or url must be provided.
  - `name` (string): The name of the endpoint
  - `url` (string): The URL of the endpoint

## Responses

### 200 - Endpoint(s) removed successfully

## cURL

```bash
curl --request DELETE \
  --url https://qstash-{region}.upstash.io/v2/topics/{urlGroupName}/endpoints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "endpoints": "<endpoints>"
  }'
```
